Bug 197853 - LowPerformance took 22712 ms.
LowPerformance took 22712 ms.
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 7.0.1
Assigned To: Denis Anisimov
issues@webservices
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 23:53 UTC by Exceptions Reporter
Modified: 2011-04-26 04:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (45.15 KB, application/nps)
2011-04-18 23:53 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-04-18 23:53:18 UTC
Build: NetBeans IDE 6.9.1 (Build 201011082200)
VM: Java HotSpot(TM) Client VM, 19.1-b02, Java(TM) SE Runtime Environment, 1.6.0_24-b07
OS: Windows 7
Maximum slowness yet reported was 34203 ms, average is 28457
Comment 1 Exceptions Reporter 2011-04-18 23:53:24 UTC
Created attachment 107824 [details]
nps snapshot
Comment 2 Denis Anisimov 2011-04-19 06:50:20 UTC
This is the consequence of waiting end of parsing task on method JaxWsNode.resolveServiceInfo() invocation.
The latter method retrieve information via Java infrastructure which is blocked by parsing task.
Comment 3 Denis Anisimov 2011-04-25 13:12:35 UTC
changeset:   192679:a3080da14703
changeset:   192678:732790ac4fd2
Comment 4 Quality Engineering 2011-04-26 04:57:10 UTC
Integrated into 'main-golden', will be available in build *201104260000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/732790ac4fd2
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#197853 - LowPerformance took 22712 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo